# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Math-Base-Convert
Version:	0.11
Release:	3.%{__distinit}%{__distvers}
Summary:	Very fast base to base conversion
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Math-Base-Convert
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MIKER/Math-Base-Convert-%{version}.tar.gz
Patch0:		Math-Base-Convert-0.10-provides.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(overload)
BuildRequires:	perl(Pod::Text)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(diagnostics)
# Optional Tests
BuildRequires:	perl(Benchmark)
BuildRequires:	perl(Math::BigInt)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides fast functions and methods to convert between arbitrary
number bases from 2 (binary) through to 65535. This module is pure Perl, has no
external dependencies, and is backward compatible with old versions of Perl 5.

Setting up the conversion parameters, context and error checking consume a
significant portion of the execution time of a single base conversion. These
operations are performed each time cnv is called as a function. Using method
calls eliminates a large portion of this overhead and will improve performance
for repetitive conversions.

%prep
%setup -q -n Math-Base-Convert-%{version}

# Avoid unversioned provide
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Math/
%{_mandir}/man3/Math::Base::Convert.3*
%{_mandir}/man3/Math::Base::Convert::Bases.3*
%{_mandir}/man3/Math::Base::Convert::Bitmaps.3*
%{_mandir}/man3/Math::Base::Convert::CalcPP.3*
%{_mandir}/man3/Math::Base::Convert::Shortcuts.3*

%changelog
* Sat Sep  3 2016 Paul Howarth <paul@city-fan.org> - 0.11-3
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Oct 23 2015 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - Fix one more typo

* Thu Oct 22 2015 Paul Howarth <paul@city-fan.org> - 0.10-1
- Update to 0.10
  - Corrected numerous typos
- Update provides patch

* Wed Jul  1 2015 Paul Howarth <paul@city-fan.org> - 0.08-3
- Perl 5.22 rebuild

* Tue May 26 2015 Paul Howarth <paul@city-fan.org> - 0.08-1
- Initial RPM version
